#!/bin/bash
#
# usage: survey.sh <printer>
#
# checks printer on given IP or hostname
#
# Note: uses dog aka good dog <http://jl.photodex.com/dog/dog-1.7.tar.gz>

DESKJETPORT=9100
DOG=/usr/local/bin/dog

if ${DOG} "--sock=${1}:${DESKJETPORT}" --sock-test 2>&1 | grep -q ':available' ; then
    (
	echo -en "\033%-12345X"
	echo -en "@PJL\r\n"
	echo -en "@PJL INFO VARIABLES\r\n"
	echo -en "@PJL INFO ID\r\n"
	echo -en "@PJL INFO CONFIG\r\n"
    ) | ${DOG} "--sock=${1}:${DESKJETPORT}" >"$1.log" &
    bg=$!
    sleep 3
    if ps $bg 2>&1 | grep "${DOG}" ; then
	kill $bg
    fi
fi
